Message2Give Logo
Message2Give DocsVersion 1.2.8

Targets

Retrieve information stored about a contact.


GET Get Target

https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/targets/msn_{outbound_number}_{customer_number}

Authentication Required: Yes

Description

Retrieve information saved about a contact in Chat. This contact info is stored in the "fields" object.

Note: this endpoint only works with token authentication.

Path Parameters

  • workspace_id: the ID of your workspace.

  • outbound_number: the phone number of the agent communicating with the contact

  • customer_number: the phone number of the contact

Example JSON Response
{
   "fields" : {
      "Another test field" : "Another test value",
      "Case Number" : "1234",
      "Colour" : "Blue",
      "DOB" : "Sep 18 2006",
      "Dropdown" : "Chocolate",
      "Email" : "john@example.com",
      "Enquiry" : "Death and destruction",
      "Firstname" : "John",
      "Inquiry Type" : "Product Inquiry",
      "Last Inquiry Date" : "Today",
      "Mobile Number" : "John",
      "Name" : "John",
      "Number" : "0412345678",
      "Phone" : "61412345678",
      "Purpose of visit" : "This is a dropdown item",
      "Reference Number" : "John",
      "Role" : "Admin",
      "Test" : "Test update",
      "Test field 2" : "Test value 2",
      "Title" : "UI Engineering Lead",
      "groupId" : "123456",
      "medium" : "pstn",
      "name" : "bro",
      "ws-id" : "987654",
      "ws-name" : "dev.example.io",
      "ws-role" : "admin"
   },
   "id" : "msn_61400000001_61412345678",
   "notes" : "2020-07-22T05:19:33.509Z | john@example.com.au | Booking Notes\nWhy not\n2023-06-07T02:11:41.503Z | john@example.com.au | Chat Notes\n2023-06-07T02:11:41.503Z | Verified Email: john@example.com.au",
   "status" : "Target Found"
}

Code Snippet

How is this guide?

On this page